%define anolis_release 1
%bcond_without  tests
%global         srcname     shapely
%global         forgeurl    https://github.com/shapely/shapely/
Version:        2.0.2
%global         tag         v%{version}
%forgemeta

Name:           python-%{srcname}
Release:        %{anolis_release}%{?dist}
Summary:        library of manipulation and analysis of geometric objects in the Cartesian plane

License:        BSD 3-Clause
URL:            %forgeurl
Source:         https://github.com/shapely/shapely/releases/download/2.0.2/shapely-2.0.2.tar.gz

BuildRequires:  python3-devel
BuildRequires:  geos-devel
BuildRequires:  python3dist(matplotlib)

%if %{with tests}
BuildRequires:  python3dist(pytest)
%endif

%global _description %{expand:
%{summary}}

%description %{_description}
Shapely is a BSD-licensed Python package for manipulation and analysis of 
planar geometric objects. It is using the widely deployed open-source 
geometry library GEOS (the engine of PostGIS, and a port of JTS). 
Shapely wraps GEOS geometries and operations to provide both a feature 
rich Geometry interface for singular (scalar) geometries and 
higher-performance NumPy ufuncs for operations using arrays of geometries. 
Shapely is not primarily focused on data serialization formats or coordinate 
systems, but can be readily integrated with packages that are.

%package -n python3-%{srcname}
Summary:        %{summary}
%description -n python3-%{srcname} %{_description}
Shapely is a BSD-licensed Python package for manipulation and analysis of 
planar geometric objects. It is using the widely deployed open-source 
geometry library GEOS (the engine of PostGIS, and a port of JTS). 
Shapely wraps GEOS geometries and operations to provide both a feature 
rich Geometry interface for singular (scalar) geometries and 
higher-performance NumPy ufuncs for operations using arrays of geometries. 
Shapely is not primarily focused on data serialization formats or coordinate 
systems, but can be readily integrated with packages that are.

%prep
%forgeautosetup
sed -i 's/oldest-supported-numpy/numpy/g' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%check
%pyproject_check_import

%if %{with tests}
%{__python3} setup.py test
%endif

%files -n python3-%{srcname} -f %{pyproject_files}

%changelog
* Tue Jan 09 2024 zhongling.h <zhonglingh@linux.alibaba.com> - 2.0.2-1
- Initial package.
